aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2017-12-09 21:01:46 +0100
committerAstroFloyd <AstroFloyd@gmail.com>2017-12-09 21:01:46 +0100
commit26ad7f21bcdb53e7d8ee5b952ec778f7d0d60e88 (patch)
tree903ef4ee76e0ef1a8aad1cabf431c7f41febd741
parentRemoved app-text/acroread from repo (diff)
downloadAstroFloyd-26ad7f21bcdb53e7d8ee5b952ec778f7d0d60e88.zip
AstroFloyd-26ad7f21bcdb53e7d8ee5b952ec778f7d0d60e88.tar.gz
AstroFloyd-26ad7f21bcdb53e7d8ee5b952ec778f7d0d60e88.tar.bz2
sci-libs/plplot: version bump to v5.13.0
Package-Manager: Portage-2.3.13, Repoman-2.3.3
-rw-r--r--sci-libs/plplot/ChangeLog12
-rw-r--r--sci-libs/plplot/Manifest14
-rw-r--r--sci-libs/plplot/files/plplot-5.11.0-multiarch.patch60
-rw-r--r--sci-libs/plplot/files/plplot-5.11.0-ocaml.patch40
-rw-r--r--sci-libs/plplot/files/plplot-5.11.0-octave.patch16
-rw-r--r--sci-libs/plplot/files/plplot-5.12.0-java-install-path.patch13
-rw-r--r--sci-libs/plplot/files/plplot-5.12.0-multiarch.patch49
-rw-r--r--sci-libs/plplot/files/plplot-5.12.0-ocaml-remove-rpath.patch34
-rw-r--r--sci-libs/plplot/metadata.xml1
-rw-r--r--sci-libs/plplot/plplot-5.10.0-r3.ebuild (renamed from sci-libs/plplot/plplot-5.10.0-r2.ebuild)5
-rw-r--r--sci-libs/plplot/plplot-5.13.0.ebuild282
11 files changed, 518 insertions, 8 deletions
diff --git a/sci-libs/plplot/ChangeLog b/sci-libs/plplot/ChangeLog
index 9e23d97..cf319e4 100644
--- a/sci-libs/plplot/ChangeLog
+++ b/sci-libs/plplot/ChangeLog
@@ -2,6 +2,18 @@
# Copyright 1999-2017 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-libs/plplot/ChangeLog,v 1.65 2015/07/23 20:20:57 pacho Exp $
+*plplot-5.10.0-r3 (09 Dec 2017)
+*plplot-5.13.0 (09 Dec 2017)
+
+ 09 Dec 2017; AstroFloyd <AstroFloyd@gmail.com>
+ +files/plplot-5.11.0-multiarch.patch, +files/plplot-5.11.0-ocaml.patch,
+ +files/plplot-5.11.0-octave.patch,
+ +files/plplot-5.12.0-java-install-path.patch,
+ +files/plplot-5.12.0-multiarch.patch,
+ +files/plplot-5.12.0-ocaml-remove-rpath.patch, +plplot-5.10.0-r3.ebuild,
+ +plplot-5.13.0.ebuild, -plplot-5.10.0-r2.ebuild, metadata.xml:
+ sci-libs/plplot: version bump to v5.13.0
+
16 Apr 2017; AstroFloyd <AstroFloyd@gmail.com> -plplot-5.10.0-r1.ebuild,
+plplot-5.10.0-r2.ebuild, +files/plplot-5.10.0-cairo.cmake.patch,
+files/plplot-5.10.0-pango.cmake.patch:
diff --git a/sci-libs/plplot/Manifest b/sci-libs/plplot/Manifest
index 6461b31..e278baa 100644
--- a/sci-libs/plplot/Manifest
+++ b/sci-libs/plplot/Manifest
@@ -2,11 +2,19 @@ AUX plplot-5.10.0-cairo.cmake.patch 681 SHA256 62575ef7323370b6717c9ca51adb90d9f
AUX plplot-5.10.0-cmake.patch 830 SHA256 43b8c9ecc521730c3121f3372c7d22681ba7e7ff097670886914c2e953f3f5ed SHA512 3e547dc71b10bac35c8564242818d6af1b4257982e1552ee55202dbc98f427b56ec2e4bbc5d5e2c26699ade56d3bb9110c9558c4e217a112a33af8b594438953 WHIRLPOOL 64b1d0aaa63a2235049369b446d4720b5e3eb27114863e023579daa5fa4557811723d89537c72d2154950ccdc25192e867d0d4f65a77a6cdd039db3e6128fe13
AUX plplot-5.10.0-have-config-h.patch 10257 SHA256 981cdb158924046788b6de596f962dcfc047b6b98d80fb3a32576e196d5eb74f SHA512 b94a917d906c49a77cc7f5ae68b3419fc83d16721d2d841ec3f5fac31b30718690a82ae03659a1cd08e8d2432282df97c9fb01b2fd44b8ea4c578a81d50fd83e WHIRLPOOL d00c0dd0365c8ff4c3b76592527aaf79e8ec5de27ca24546e3e74258a253e67eb5d331d33367905a991c946a2448d5027795c12646ee1e8173741d6d1e8dc177
AUX plplot-5.10.0-pango.cmake.patch 929 SHA256 03407f5fe5f468032ea4ff363237140da70f54fb7f9aaa6f078ae257dcc863fd SHA512 c3371cb69d5fc88e6134ab6f3bdc50903b58d6db576cb82ce721de060c6c32fc4dfbf20bb218db1f6b62b8946893987b74407c3f61d8d373236a9d9688700cac WHIRLPOOL d0c32d52001e006720b8542e3c537c5299f20e41b6ad5a56e5a8a484ba9b56b49be00e989aed5515d23a7f1a7d4f62f22f633c31309fc0c54aa8dcf4a68da921
+AUX plplot-5.11.0-multiarch.patch 1937 SHA256 8c63ee02f2b850518735110bb911b844998ffb971c5bf499606be6e1708da2ca SHA512 505fbd1d1c6700ba7d16795e262a930f58b77c3565ca844a3cca1313f004057c1432ad60132d3844d0f04f959c005236b9ebd10f3615d4368e4fa968141d147d WHIRLPOOL ee510155a768c8ed07fa17301707569f7aa31b1cfbf6b10db5fa0e2c20ad7609cbcf2646456908b9f0feef3db26fb17be8c95855bb80ae36ecb7fcb2c673abf3
+AUX plplot-5.11.0-ocaml.patch 2736 SHA256 00f7832589815f25626d6658ab942ec9d875ca1ff2087011e1be0bc1746cd54a SHA512 3d41fec8b2c2a07771fefab7c0f9199f1b31376d71d0c0c8f7d3ddedea3889eebfd9d44432b8f22e6d6dca233d6011d0b1645b193d319eb953b18543ec212412 WHIRLPOOL b7ab89597d7b92cfd4abe281c735beab343d73230d586b88b8f037f0fa46fccd89d8b66f2252cee1020d0c16f9a3af3238ced3d7d01afafa8ec04e5c637b84ad
+AUX plplot-5.11.0-octave.patch 669 SHA256 6ef1e46b2718665bb81cbb1b703f2a69a35e11e3cb4db9afe08c0bc4ba11f551 SHA512 7ddd8105aa8ba684e423cac3657f2d1bc753b86eb2054edd2ff9497ec235354134da4ecfff5d26e26f01efced2f630f0e2488d114ce7dc887e7761f5ee060814 WHIRLPOOL 0bfecd6a7095255a7c604fec12c366c546474f7040b17dc7445d3ce3f5d2dc522fd16935f76c5da735745f41e107986e8582b4d45088990c8cd754ec8f221d27
+AUX plplot-5.12.0-java-install-path.patch 393 SHA256 cad2839e514fe8b5bf667fdc7b01a6e5313871fd96d29f661c11db21d20b6b2d SHA512 0e87a67fd6821be07a56b68d8f9c23e4c25efea4fc9b56a2cec06d804202946917abd58271c71674d6b3b3ecda688be44920649095da3b125fe3a119fd22f1dd WHIRLPOOL 889155eb6efefdfc5b99f807f769f407f2ae3f84d0d5062d214e2120177c2758de52067e988e74c320fbeaebc94c14131a0135020c246b94ade561ee80056f58
+AUX plplot-5.12.0-multiarch.patch 1309 SHA256 a761035d84001e5a24d5519bbfc94bc35fc1d1401e9e232857570e84bb99cf5f SHA512 4fe0992ccc8f7f9dcab956c1ec06a647e4a7bab67c0f2a78c4e004491a5d8685240dadfd2c248e4fd6a58747a5da67ab8c8dc35c1a0de5a85431da431a00607f WHIRLPOOL 4c9f92f39a6806424afc89b4aacd29d198cfe454a034151fd03b9b0fe4106600bd5bd8bf76a9cff0ad71644367e86121cfcf2eb21b32ac667fad38fa173e8cd1
+AUX plplot-5.12.0-ocaml-remove-rpath.patch 2012 SHA256 eda776843cd9dabeff3fbe3e82c07cebac5b7f6452f4bcd25a027d5d377cd7b7 SHA512 6c40de6ab578ab8c347f12335b8a91976e5e4d8eee039512048039507c5e2b4a75b5bbfdde5ae347d2ccb167679b6574460d3f737ad37ee8902c7bcdc96af05d WHIRLPOOL 704b3763daea05027d0acf3470ab3b4e73666e27a594cc268cf3cd6ea8333815eef0a3602929670bee9d7645e7c19849c35fea93e96af8b630916402afa5ac4d
AUX plplot-5.9.11-multiarch.patch 2150 SHA256 8100cdcb843c2d52a663434c481e804e4db22e319a1d6b69c0cfdc6938c70648 SHA512 c638a5bdba7d29d76fdf5c96415d56718dea162c1a03bf4f0180c12d8d8bf26603f628de4ec130403234a5a8e349630bed6d17e53a13fa6faf921da402869da9 WHIRLPOOL b88727e63940505512906886739f0aad7561b3659112bcf03b9ad25b8640a244a60acc69e5f355636c5dd876fc76db2043dafe399669f28b2eb0cbfc3e801d11
AUX plplot-5.9.11-ocaml.patch 2829 SHA256 f355a3af4862133438a90c2b923dfedbce5b3311d2b38736a5cea998ec3fc1e0 SHA512 26d739d0cc3f3b8227de9fdfbb6a7cbfdca6daff6515b1b91571316abc2d057eac953951ad9bb7b0fd2b28d8e220836c5da652e19170ed8401a9b3946b39c34a WHIRLPOOL 7202a6f0d54510bfb46fcf8411014170f407526ed9bb2b14b19269ff66ffbe9a1a597751cb8ab63e2d98f73f9408bb4d8df961d9b2d5d188aba5f8005cff4153
AUX plplot-5.9.11-octave.patch 633 SHA256 672f25cc93722d8116fb45853939b0e0b3cefa75b57ff87f2a8439c97723393e SHA512 c3832d531425cea20aa436cb757ed7bfd30bdc44a4d5cc11cf9a5e5fc7109897cc10748ce780de53232b63cd67d00c1cd2d9f62ef6d378d0f814182d1beb10e2 WHIRLPOOL 96ce5a919a944a833c3febc5b6932376ee32f764709470a405d73f691b2125f76ddb8b99b6ede13a19e9ee996d2ea226e0f4a8c299b174dd9f83b9e9a4aa7a7d
AUX plplot-5.9.6-python.patch 379 SHA256 a338e7b7d9893aabf0bc2e4bc5bd25a97b81674abfa40492b6cc8a33fe8763c8 SHA512 cb2022bda3d5408ef0b2dc280981ad8bdb2f7ecb20d827f7e71ce063fba60963e68aeaa5efd8eef87da8e3dc270b609f7cb342c1da175cd757c9f135173842e4 WHIRLPOOL a6ae20047cd0e99251746cadf703e19d35897a6788e5b5d665758f970cc47aad31331640a679f974455aeab4ab6ec4927649d4b1c1a9d9efbe474f2e966aed83
DIST plplot-5.10.0.tar.gz 14766687 SHA256 d4e930b8b9d43cd1663408986218d61f166de7cbc9ef5bed111b0bdea934f9d5 SHA512 92a1880dc544694a19aa5a3f6f592df5b63ea65827f11804f0b1bdb1d123546abb213c1af4950c18b50e0e0fb9b40bb3311e7f21e681237df6008fee9873b11e WHIRLPOOL 52b726925a6fa89e2e097a1a7578b8b0004bfac6a841019144785861a467e4d7c812bf4301e7a747d2edab47ef5b0d481c7732f5b0c9b4ff5dae6be6cd3e17ba
-EBUILD plplot-5.10.0-r2.ebuild 6843 SHA256 180e399588cfad393db566d778aac4e7ef08402cdf9b358719bbe8cc2dabdb44 SHA512 78869986417997e57fd1083cc6d60c3cf88e5ed6dc8ca3c95336be3bcdbe6be18fdbc53db757d48e7d039c36877e4047f37e9575d5a70e72bb8b9e453a7f0758 WHIRLPOOL 2d49e8de526767c718c09ff7bf66c61b54a14abd4f2aaaa3416e519d981860ad435483c7f05656c4a71a6fee5bdb0e5e2b40ac222bba1d9c8dc9dcae9e83c3fd
-MISC ChangeLog 12430 SHA256 eeef9841e31e9a81f5d62653997544b655b336fedc6023f46410c090b3356ad7 SHA512 9e0befc858164a9404c4eb00ec58b8e4fb1ab46172c3cf3fbfcff615781a82ad14bdebc044a8ba407ef4c0992fa2540d69a6c3c2323e43e13f3a50dfb7ccbb8c WHIRLPOOL 16292a60248b01c2138753a649caa63de2fd69ede2efe478920d9488767249225349d45cca3ffd64bc86cd1d0ab1e8fce830e9bcdb9a600736117065b67053d9
-MISC metadata.xml 1490 SHA256 205fcd4a0aa87cb64187c1cb45e5eae7bf82ef80d2106757333eef591584ac89 SHA512 0925d1319314d13313d18af9fb3548dfb778e1d09b8ee46833c7ab3368d5937147d91a3edba607c87ac9333a15c54b8f5190d289660b6a64ca545411eabdeede WHIRLPOOL f85c45518bf52c8cc6083e816b3c44d43a4c6461e1f5e4b5cec24132c69cbb92b12d891e1b41b4906c3a96897ef0aae391ef37aae332d0af017705a0b3441470
+DIST plplot-5.13.0.tar.gz 16269842 SHA256 ec36bbee8b03d9d1c98f8fd88f7dc3415560e559b53eb1aa991c2dcf61b25d2b SHA512 1d5cb5da17d4bde6d675585bff1f8dcb581719249a0b2687867e767703f8dab0870e7ea44b9549a497f4ac0141a3cabf6761c49520c0e2b26ffe581468512cbb WHIRLPOOL e6f037185b8f1e7b36292a9112329b2aed4e65cf1e9a437cb4d3963df207584b6208529b8d888c66077ffe1ebe3752d05dec708abf3487678bc447729aa81749
+EBUILD plplot-5.10.0-r3.ebuild 6670 SHA256 1a2854b4574a39727276e050cc9efe19104ba3a099d36be026d1f3ac29d3e2a8 SHA512 a0d2f35df4704be115e2119d7f3f70fabb20ac0c9454ed3a10ff282cd1b920f2aee4ec6b55890962e48452fbfca61463cfc170c6c3d054d419bd8c06a296ba59 WHIRLPOOL 36897e6776384379a4edeedd0dbe248f11100ed9ff5125a7ba6597cc26dc2e297f00e4191601d427579249267f93931d41d7362e36fd58e7eacce65838c67f80
+EBUILD plplot-5.13.0.ebuild 7261 SHA256 4cb41343aa009e17b12bb153c9411d46fce206b10d9c4472321bbaeb9ece4dff SHA512 92524893bd647e142f0a4ba7b49c9e9e440b237aa42b24005420eb7b7478bbd693007d504814f1e46b3397b154d9307663af5f887b04991c0e2e711e6bf5f0b9 WHIRLPOOL 1ab352a72fb0aa18fce73e646c0de3dba93f95c65a202dce371e1b8848beda2860ae61305509a75ce6aabf3c4f82b7984b335b5151e9cbed2f2a799b760d67d0
+MISC ChangeLog 12924 SHA256 6b369658974c4fd27f3f37a4c365425f79d11b5734a596906ba2394bea8b1e05 SHA512 d29b2689cbda65b3335d4c7b367efcd0bac1b7b9e3941bc06b2dbd6d98266f46e5e7d1d381f955611ca3636ff6e071059125c5e127ad7336b3198a0d6a0ab3e3 WHIRLPOOL b09a02ce82fa52485d59ec51656a2a0274b24fdacd4a2dd2e7e48f548b4004b8132e51a6a12f0eeac4aac61dc5ed3c575fd4071ca88261412c49ce9d27cdf75c
+MISC metadata.xml 1416 SHA256 1d5b7708862ded618aaa530a962916e39e3878159915b81e3e5aba1113b6a3ab SHA512 8212ad9655b471b34c7cfb33ae652fd1c224140b3c0901aad2317a006a266cee4a5bf46934f3c145099818b19483004750f1dee1597c759c13c8bd73783ca5d3 WHIRLPOOL 9e6cb9f2c5e03e3ca43e94b62a759214e169b64a7a60a0ac1404fbd2fca0f660fb47fa8d8a2dd0408fbeff985c8ca81716dc3b2a78fc33c07794b72fedae218b
diff --git a/sci-libs/plplot/files/plplot-5.11.0-multiarch.patch b/sci-libs/plplot/files/plplot-5.11.0-multiarch.patch
new file mode 100644
index 0000000..cb6f7d0
--- /dev/null
+++ b/sci-libs/plplot/files/plplot-5.11.0-multiarch.patch
@@ -0,0 +1,60 @@
+ examples/c++/Makefile.examples.in | 3 ---
+ examples/c/Makefile.examples.in | 2 --
+ examples/f95/Makefile.examples.in | 2 --
+ examples/tk/Makefile.examples.in | 2 --
+ 4 files changed, 9 deletions(-)
+
+diff --git a/examples/c++/Makefile.examples.in b/examples/c++/Makefile.examples.in
+index bb067e7..176706b 100644
+--- a/examples/c++/Makefile.examples.in
++++ b/examples/c++/Makefile.examples.in
+@@ -25,10 +25,7 @@ SHELL = @SH_EXECUTABLE@
+ CXX = @CXX@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-RPATHCMD = @RPATHCMD@
+ @qt_gui_true@QT_MOC_EXECUTABLE = @QT_MOC_EXECUTABLE@
+-@qt_gui_true@qt_RPATHCMD = @qt_RPATHCMD@
+
+ @wxwidgets_true@PLPLOTWXWIDGETS_EXECUTABLES_list = \
+ @wxwidgets_true@ wxPLplotDemo$(EXEEXT)
+diff --git a/examples/c/Makefile.examples.in b/examples/c/Makefile.examples.in
+index bc47762..56d1f49 100644
+--- a/examples/c/Makefile.examples.in
++++ b/examples/c/Makefile.examples.in
+@@ -25,8 +25,6 @@ SHELL = @SH_EXECUTABLE@
+ CC = @CC@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-RPATHCMD = @RPATHCMD@
+
+ @gcw_true@PLPLOTCANVAS_EXECUTABLES_list = \
+ @gcw_true@ plplotcanvas_demo$(EXEEXT) \
+diff --git a/examples/f95/Makefile.examples.in b/examples/f95/Makefile.examples.in
+index 29631b7..32823d6 100644
+--- a/examples/f95/Makefile.examples.in
++++ b/examples/f95/Makefile.examples.in
+@@ -25,8 +25,6 @@ SHELL = @SH_EXECUTABLE@
+ F95 = @FC@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-RPATHCMD = @RPATHCMD@
+
+ EXECUTABLES_list = \
+ x00f$(EXEEXT) \
+diff --git a/examples/tk/Makefile.examples.in b/examples/tk/Makefile.examples.in
+index 98407fa..c15c94a 100644
+--- a/examples/tk/Makefile.examples.in
++++ b/examples/tk/Makefile.examples.in
+@@ -24,8 +24,6 @@ SHELL = @SH_EXECUTABLE@
+ CC = @CC@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-plplottcltk_Main_RPATHCMD = @plplottcltk_Main_RPATHCMD@
+
+ EXECUTABLES_list = xtk01$(EXEEXT)
+ # Second and fourth examples depend on itk.
diff --git a/sci-libs/plplot/files/plplot-5.11.0-ocaml.patch b/sci-libs/plplot/files/plplot-5.11.0-ocaml.patch
new file mode 100644
index 0000000..3284182
--- /dev/null
+++ b/sci-libs/plplot/files/plplot-5.11.0-ocaml.patch
@@ -0,0 +1,40 @@
+ bindings/ocaml/CMakeLists.txt | 4 ++--
+ bindings/ocaml/plcairo/CMakeLists.txt | 4 ++--
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/bindings/ocaml/CMakeLists.txt b/bindings/ocaml/CMakeLists.txt
+index 93d073a..d31a64f 100644
+--- a/bindings/ocaml/CMakeLists.txt
++++ b/bindings/ocaml/CMakeLists.txt
+@@ -154,11 +154,11 @@ if(ENABLE_ocaml)
+ DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/plplot.cmo
+ )
+
+- # ocamlc -a -custom builds a *.cma library from *.cmo
++ # ocamlc -a builds a *.cma library from *.cmo
+ add_custom_command(
+ OUTPUT
+ ${CMAKE_CURRENT_BINARY_DIR}/plplot.cma
+- COMMAND ${OCAMLC} -a -custom -o ${CMAKE_CURRENT_BINARY_DIR}/plplot.cma ${CMAKE_CURRENT_BINARY_DIR}/plplot_core.cmo ${CMAKE_CURRENT_BINARY_DIR}/plplot.cmo -dllib -lplplot_stubs -ccopt -L${CMAKE_CURRENT_BINARY_DIR} -cclib -lplplot_stubs -ccopt -L${CAMLIDL_LIB_DIR} -cclib -lcamlidl -ccopt -L${CMAKE_BINARY_DIR}/src -cclib -lplplot -dllpath ${CMAKE_BINARY_DIR}/src ${ocaml_STATIC_FLAGS}
++ COMMAND ${OCAMLC} -a -o ${CMAKE_CURRENT_BINARY_DIR}/plplot.cma ${CMAKE_CURRENT_BINARY_DIR}/plplot_core.cmo ${CMAKE_CURRENT_BINARY_DIR}/plplot.cmo -dllib -lplplot_stubs -ccopt -L${CMAKE_CURRENT_BINARY_DIR} -cclib -lplplot_stubs -ccopt -L${CAMLIDL_LIB_DIR} -cclib -lcamlidl -ccopt -L${CMAKE_BINARY_DIR}/src -cclib -lplplot -dllpath ${CMAKE_BINARY_DIR}/src ${ocaml_STATIC_FLAGS}
+ DEPENDS
+ ${CMAKE_CURRENT_BINARY_DIR}/plplot_core.cmo
+ ${CMAKE_CURRENT_BINARY_DIR}/plplot.cmo
+diff --git a/bindings/ocaml/plcairo/CMakeLists.txt b/bindings/ocaml/plcairo/CMakeLists.txt
+index c4b4a41..ce1dc92 100644
+--- a/bindings/ocaml/plcairo/CMakeLists.txt
++++ b/bindings/ocaml/plcairo/CMakeLists.txt
+@@ -84,11 +84,11 @@ if(ENABLE_ocaml AND OCAML_HAS_CAIRO)
+ DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cmo
+ )
+
+- # ocamlc -a -custom builds a *.cma library from *.cmo
++ # ocamlc -a builds a *.cma library from *.cmo
+ add_custom_command(
+ OUTPUT
+ ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cma
+- COMMAND ${OCAMLC} -a -custom -o ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cma -I ${PATH_TO_PLPLOT_CMA} plplot.cma ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cmo -dllib -lplcairo_stubs -ccopt -L${CMAKE_CURRENT_BINARY_DIR} -cclib -lplcairo_stubs -ccopt -L${CMAKE_BINARY_DIR}/src -cclib -lplplot -dllpath ${CMAKE_BINARY_DIR}/src
++ COMMAND ${OCAMLC} -a -o ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cma -I ${PATH_TO_PLPLOT_CMA} plplot.cma ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cmo -dllib -lplcairo_stubs -ccopt -L${CMAKE_CURRENT_BINARY_DIR} -cclib -lplcairo_stubs -ccopt -L${CMAKE_BINARY_DIR}/src -cclib -lplplot -dllpath ${CMAKE_BINARY_DIR}/src
+ DEPENDS
+ ${CMAKE_CURRENT_BINARY_DIR}/plcairo.cmo
+ WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
diff --git a/sci-libs/plplot/files/plplot-5.11.0-octave.patch b/sci-libs/plplot/files/plplot-5.11.0-octave.patch
new file mode 100644
index 0000000..a2a41c9
--- /dev/null
+++ b/sci-libs/plplot/files/plplot-5.11.0-octave.patch
@@ -0,0 +1,16 @@
+ plplot_test/test_octave.sh.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/plplot_test/test_octave.sh.in b/plplot_test/test_octave.sh.in
+index 8a50d8b..8eb35fc 100755
+--- a/plplot_test/test_octave.sh.in
++++ b/plplot_test/test_octave.sh.in
+@@ -35,7 +35,7 @@ echo "$TOPDIR"
+ export LD_LIBRARY_PATH="$TOPDIR"/src:"$TOPDIR"/lib/csa:"$TOPDIR"/lib/nn
+
+ # Launch an Octave script that exercises all the demos
+-$octave -f -q <<EOF 2> test.error
++$octave -f -q $octaveopts -p "$octavedir" <<EOF 2> test.error
+
+ # Disable warnings about shadowed functions - PLplot is _supposed_ to shadow the core functions
+ warning("off","Octave:shadowed-function");
diff --git a/sci-libs/plplot/files/plplot-5.12.0-java-install-path.patch b/sci-libs/plplot/files/plplot-5.12.0-java-install-path.patch
new file mode 100644
index 0000000..2c053a2
--- /dev/null
+++ b/sci-libs/plplot/files/plplot-5.12.0-java-install-path.patch
@@ -0,0 +1,13 @@
+Java libs are installed into an already prefixed path.
+
+--- a/bindings/java/CMakeLists.txt
++++ b/bindings/java/CMakeLists.txt
+@@ -189,7 +189,7 @@
+ )
+ endif(APPLE)
+
+- install(TARGETS plplotjavac_wrap LIBRARY DESTINATION ${JAVAWRAPPER_HARDDIR})
++ install(TARGETS plplotjavac_wrap LIBRARY DESTINATION ${JAVAWRAPPER_DIR})
+
+ set(JAVA_CLASSES)
+ foreach( srcfile ${JAVA_FILES_FULL} )
diff --git a/sci-libs/plplot/files/plplot-5.12.0-multiarch.patch b/sci-libs/plplot/files/plplot-5.12.0-multiarch.patch
new file mode 100644
index 0000000..63e92f5
--- /dev/null
+++ b/sci-libs/plplot/files/plplot-5.12.0-multiarch.patch
@@ -0,0 +1,49 @@
+--- a/examples/c/Makefile.examples.in
++++ b/examples/c/Makefile.examples.in
+@@ -25,9 +25,6 @@
+ CC = @CC@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-RPATHCMD = @RPATHCMD@
+-
+ @extXdrawable_true@extXdrawable_EXECUTABLES_list = \
+ @extXdrawable_true@ extXdrawable_demo$(EXEEXT)
+
+--- a/examples/c++/Makefile.examples.in
++++ b/examples/c++/Makefile.examples.in
+@@ -25,10 +25,7 @@
+ CXX = @CXX@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-RPATHCMD = @RPATHCMD@
+ @qt_gui_true@QT_MOC_EXECUTABLE = @QT_MOC_EXECUTABLE@
+-@qt_gui_true@qt_RPATHCMD = @qt_RPATHCMD@
+
+ @wxwidgets_true@PLPLOTWXWIDGETS_EXECUTABLES_list = \
+ @wxwidgets_true@ @wxdemo_name@$(EXEEXT)
+--- a/examples/f95/Makefile.examples.in
++++ b/examples/f95/Makefile.examples.in
+@@ -25,9 +25,6 @@
+ F95 = @FC@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-FORTRAN_RPATHCMD = @FORTRAN_RPATHCMD@
+-
+ EXECUTABLES_list = \
+ x00f$(EXEEXT) \
+ x01f$(EXEEXT) \
+--- a/examples/tk/Makefile.examples.in
++++ b/examples/tk/Makefile.examples.in
+@@ -24,9 +24,6 @@
+ CC = @CC@
+ EXEEXT = @EXEEXT@
+
+-PKG_CONFIG_ENV = @PKG_CONFIG_ENV@
+-plplottcltk_Main_RPATHCMD = @plplottcltk_Main_RPATHCMD@
+-
+ EXECUTABLES_list = xtk01$(EXEEXT)
+ # Second and fourth examples depend on itk.
+ @itk_true@itk_EXECUTABLES_list = xtk02$(EXEEXT) xtk04$(EXEEXT)
diff --git a/sci-libs/plplot/files/plplot-5.12.0-ocaml-remove-rpath.patch b/sci-libs/plplot/files/plplot-5.12.0-ocaml-remove-rpath.patch
new file mode 100644
index 0000000..2d18c79
--- /dev/null
+++ b/sci-libs/plplot/files/plplot-5.12.0-ocaml-remove-rpath.patch
@@ -0,0 +1,34 @@
+Fix OCaml's asinine RPATH inserting behaviour.
+
+--- a/bindings/ocaml/CMakeLists.txt
++++ b/bindings/ocaml/CMakeLists.txt
+@@ -97,6 +97,20 @@
+
+ # ocamlc -c compiles *.c into *.o.
+ # ocamlmklib links *.o into *.so and *.a
++
++ # ocamlmklib implicits inserts RPATHs if it is provided with an absolute path to -L,
++ # which is absolutely unacceptable and presents a massive security hazard. The
++ # following statements convert the absolute paths to relative ones to fix this.
++ # See also:
++ # https://caml.inria.fr/mantis/view.php?id=5943
++ if(CMAKE_SKIP_RPATH)
++ file(RELATIVE_PATH CAMLIDL_LINK_LIB_DIR ${CMAKE_CURRENT_BINARY_DIR} ${CAMLIDL_LIB_DIR})
++ file(RELATIVE_PATH CMAKE_LINK_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})
++ else(CMAKE_SKIP_RPATH)
++ set(CAMLIDL_LINK_LIB_DIR ${CAMLIDL_LIB_DIR})
++ set(CMAKE_LINK_BINARY_DIR ${CMAKE_BINARY_DIR})
++ endif(CMAKE_SKIP_RPATH)
++
+ add_custom_command(
+ OUTPUT
+ ${CMAKE_CURRENT_BINARY_DIR}/plplot_core_stubs.o
+@@ -105,7 +119,7 @@
+ ${CMAKE_CURRENT_BINARY_DIR}/libplplot_stubs.a
+ COMMAND ${OCAMLC} -ccopt -I${CAMLIDL_LIB_DIR} -c ${CMAKE_CURRENT_BINARY_DIR}/plplot_core_stubs.c
+ COMMAND ${OCAMLC} -ccopt -I${CMAKE_SOURCE_DIR}/include -ccopt -I${CMAKE_BINARY_DIR}/include -ccopt -I${CMAKE_SOURCE_DIR}/lib/qsastime -ccopt -I${CMAKE_BINARY_DIR} -ccopt -I${CAMLIDL_LIB_DIR} -ccopt -DPLPLOT_HAVE_CONFIG_H -c ${CMAKE_CURRENT_SOURCE_DIR}/plplot_impl.c
+- COMMAND ${OCAMLMKLIB} -o plplot_stubs -L${CAMLIDL_LIB_DIR} -lcamlidl -L${CMAKE_BINARY_DIR}/src -lplplot ${CMAKE_CURRENT_BINARY_DIR}/plplot_core_stubs.o ${CMAKE_CURRENT_BINARY_DIR}/plplot_impl.o ${ocaml_STATIC_FLAGS}
++ COMMAND ${OCAMLMKLIB} -o plplot_stubs -L${CAMLIDL_LINK_LIB_DIR} -lcamlidl -L${CMAKE_LINK_BINARY_DIR}/src -lplplot ${CMAKE_CURRENT_BINARY_DIR}/plplot_core_stubs.o ${CMAKE_CURRENT_BINARY_DIR}/plplot_impl.o ${ocaml_STATIC_FLAGS}
+ DEPENDS
+ ${CMAKE_CURRENT_BINARY_DIR}/plplot_core_stubs.c
+ ${CMAKE_CURRENT_SOURCE_DIR}/plplot_impl.c
diff --git a/sci-libs/plplot/metadata.xml b/sci-libs/plplot/metadata.xml
index b4e56a0..93b58c1 100644
--- a/sci-libs/plplot/metadata.xml
+++ b/sci-libs/plplot/metadata.xml
@@ -15,7 +15,6 @@
mathematical symbols.
</longdescription>
<use>
- <flag name="ada">Add bindings for the ADA programming language</flag>
<flag name="dynamic">Build with dynamic drivers</flag>
<flag name="octave">Add bindings for
<pkg>sci-mathematics/octave</pkg></flag>
diff --git a/sci-libs/plplot/plplot-5.10.0-r2.ebuild b/sci-libs/plplot/plplot-5.10.0-r3.ebuild
index bdadf95..1796a5d 100644
--- a/sci-libs/plplot/plplot-5.10.0-r2.ebuild
+++ b/sci-libs/plplot/plplot-5.10.0-r3.ebuild
@@ -1,6 +1,5 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-libs/plplot/plplot-5.10.0-r1.ebuild,v 1.6 2015/05/07 09:14:47 jlec Exp $
EAPI=5
@@ -19,12 +18,11 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0/12"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
-IUSE="ada cairo cxx doc +dynamic examples fortran gd java jpeg latex lua
+IUSE="cairo cxx doc +dynamic examples fortran gd java jpeg latex lua
ocaml octave pdf pdl png python qhull qt4 shapefile svg tcl test
threads tk truetype wxwidgets X"
RDEPEND="
- ada? ( virtual/gnat:* )
cairo? ( x11-libs/cairo:0=[svg?,X?] )
gd? ( media-libs/gd:2=[jpeg?,png?] )
java? ( >=virtual/jre-1.5:* )
@@ -146,7 +144,6 @@ src_configure() {
$(cmake-utils_use_has python NUMPY)
$(cmake-utils_use_has shapefile SHAPELIB)
$(cmake-utils_use_with truetype FREETYPE)
- $(cmake-utils_use_enable ada)
$(cmake-utils_use_enable cxx)
$(cmake-utils_use_enable dynamic DYNDRIVERS)
$(cmake-utils_use_enable fortran f77)
diff --git a/sci-libs/plplot/plplot-5.13.0.ebuild b/sci-libs/plplot/plplot-5.13.0.ebuild
new file mode 100644
index 0000000..2ddaa36
--- /dev/null
+++ b/sci-libs/plplot/plplot-5.13.0.ebuild
@@ -0,0 +1,282 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER=3.0-gtk3
+FORTRAN_NEEDED=fortran
+FORTRAN_STANDARD=95
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils flag-o-matic fortran-2 java-pkg-opt-2 python-single-r1 toolchain-funcs virtualx wxwidgets
+
+DESCRIPTION="Multi-language scientific plotting library"
+HOMEPAGE="http://plplot.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0/14" # SONAME of libplplot.so
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="cairo cxx doc +dynamic examples fortran gd java jpeg latex lua ocaml octave pdf
+ pdl png python qhull qt5 shapefile svg tcl test threads tk truetype wxwidgets X"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} ) qt5? ( dynamic ) test? ( latex ) tk? ( tcl )"
+RESTRICT="octave? ( test )"
+
+RDEPEND="
+ cairo? ( x11-libs/cairo:0=[svg?,X] )
+ gd? ( media-libs/gd:2=[jpeg?,png?] )
+ java? ( >=virtual/jre-1.5:* )
+ latex? (
+ app-text/ghostscript-gpl
+ virtual/latex-base
+ )
+ lua? ( dev-lang/lua:0= )
+ ocaml? (
+ dev-lang/ocaml
+ dev-ml/camlidl
+ cairo? ( dev-ml/cairo-ocaml[gtk] )
+ )
+ octave? ( sci-mathematics/octave:0= )
+ pdf? ( media-libs/libharu:0= )
+ pdl? (
+ dev-perl/PDL
+ dev-perl/XML-DOM
+ )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/numpy[${PYTHON_USEDEP}]
+ qt5? ( dev-python/PyQt5[${PYTHON_USEDEP}] )
+ )
+ qhull? ( media-libs/qhull:0= )
+ qt5? (
+ dev-qt/qtgui:5
+ dev-qt/qtsvg:5
+ dev-qt/qtprintsupport:5
+ )
+ shapefile? ( sci-libs/shapelib:0= )
+ tcl? (
+ dev-lang/tcl:0=
+ dev-tcltk/itcl:0=
+ tk? (
+ dev-lang/tk:0=
+ dev-tcltk/itk
+ )
+ )
+ truetype? (
+ media-fonts/freefont
+ media-libs/lasi:0=
+ gd? ( media-libs/gd:2=[truetype] )
+ )
+ wxwidgets? (
+ x11-libs/wxGTK:${WX_GTK_VER}=[X]
+ x11-libs/agg:0=[truetype?]
+ )
+ X? (
+ x11-libs/libX11:0=
+ x11-libs/libXau:0=
+ x11-libs/libXdmcp:0=
+ )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ java? (
+ >=virtual/jdk-1.5
+ dev-lang/swig
+ )
+ ocaml? ( dev-ml/findlib )
+ octave? ( >=dev-lang/swig-3.0.12 )
+ python? ( dev-lang/swig )
+ test? (
+ media-fonts/font-misc-misc
+ media-fonts/font-cursor-misc
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.9.6-python.patch
+ "${FILESDIR}"/${PN}-5.11.0-octave.patch
+ "${FILESDIR}"/${PN}-5.12.0-multiarch.patch
+ "${FILESDIR}"/${PN}-5.12.0-java-install-path.patch
+ "${FILESDIR}"/${PN}-5.12.0-ocaml-remove-rpath.patch
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+ use java && java-pkg-opt-2_pkg_setup
+ use fortran && fortran-2_pkg_setup
+}
+
+#src_prepare() {
+# use wxwidgets && need-wxwidgets unicode
+# cmake-utils_src_prepare
+#
+# # avoid installing license
+# sed -i -e '/COPYING.LIB/d' CMakeLists.txt || die
+#
+# # prexify hard-coded /usr/include in cmake modules
+# sed -i \
+# -e "s:/usr/include:${EPREFIX}/usr/include:g" \
+# -e "s:/usr/lib:${EPREFIX}/usr/$(get_libdir):g" \
+# -e "s:/usr/share:${EPREFIX}/usr/share:g" \
+# cmake/modules/*.cmake || die
+#
+# # change default install directories for doc and examples
+# local f
+# while IFS="" read -d $'\0' -r f; do
+# sed -i -e 's:${DATA_DIR}/examples:${DOC_DIR}/examples:g' "${f}" || die
+# done < <(find "${S}" -name CMakeLists.txt -print0)
+#
+# sed -i \
+# -e 's:${VERSION}::g' \
+# -e "s:doc/\${PACKAGE}:doc/${PF}:" \
+# cmake/modules/instdirs.cmake || die
+#
+# java-utils-2_src_prepare
+#}
+
+src_configure() {
+ # - don't build doc, it pulls in a whole stack of horrible dependencies
+ # - Bindings:
+ # * Ada is a mess in Gentoo, don't use
+ # * D has been removed from Gentoo, don't use
+ # * Qt4 has been disabled, as it is deprecated and unsupported upstream
+ # - DPLD_* drivers need to use ON/OFF instead of the usex defaults yes/no, as
+ # the testsuite performs a string comparison to determine which tests to run
+
+ # Octave bindings now require C++11 support, #609980
+ append-cxxflags -std=c++11
+
+ local mycmakeargs=(
+ # The build system does not honour CMAKE_INSTALL_LIBDIR as a
+ # relative dir, which is against the spirit of GNUInstallDirs, #610066
+ -DCMAKE_INSTALL_LIBDIR="${EPREFIX}"/usr/$(get_libdir)
+
+ ## Features
+ -DBUILD_DOC=OFF
+ -DBUILD_DOX_DOC=OFF
+ -DCMAKE_SKIP_RPATH=ON
+ -DPREBUILT_DOC=$(usex doc)
+ -DHAVE_SHAPELIB=$(usex shapefile)
+ -DWITH_FREETYPE=$(usex truetype)
+ -DPL_HAVE_PTHREAD=$(usex threads)
+ -DPL_HAVE_QHULL=$(usex qhull)
+ -DPLPLOT_USE_QT5=$(usex qt5)
+
+ ## Tests
+ -DTEST_DYNDRIVERS=OFF
+ -DBUILD_TEST=$(usex test)
+
+ ## Bindings
+ -DENABLE_ada=OFF
+ -DENABLE_d=OFF
+ -DENABLE_ocaml=$(usex ocaml)
+ -DENABLE_pyqt4=OFF
+ -DENABLE_cxx=$(usex cxx)
+ -DENABLE_DYNDRIVERS=$(usex dynamic)
+ -DENABLE_fortran=$(usex fortran)
+ -DENABLE_java=$(usex java)
+ -DENABLE_lua=$(usex lua)
+ -DTRY_OCTAVE4=$(usex octave)
+ -DENABLE_octave=$(usex octave)
+ -DENABLE_pdl=$(usex pdl)
+ -DENABLE_python=$(usex python)
+ -DENABLE_qt=$(usex qt5)
+ -DENABLE_tcl=$(usex tcl)
+ -DENABLE_itcl=$(usex tcl)
+ -DENABLE_tk=$(usex tk)
+ -DENABLE_itk=$(usex tk)
+ -DENABLE_wxwidgets=$(usex wxwidgets)
+
+ ## Drivers
+ -DPLD_cgm=OFF
+ -DPLD_gif=OFF
+ -DPLD_jpeg=OFF
+ -DPLD_plmeta=OFF
+ -DPLD_png=OFF
+ -DPLD_pstex=OFF
+ -DPLD_wxpng=OFF
+ -DPLD_mem=ON
+ -DPLD_null=ON
+ -DPLD_wingcc=ON
+ # Cairo
+ $(usex cairo "" "-DDEFAULT_NO_CAIRO_DEVICES=ON")
+ -DPLD_epscairo=$(usex cairo ON OFF)
+ -DPLD_extcairo=$(usex cairo ON OFF)
+ -DPLD_memcairo=$(usex cairo ON OFF)
+ -DPLD_pdfcairo=$(usex cairo ON OFF)
+ -DPLD_pngcairo=$(usex cairo ON OFF)
+ -DPLD_pscairo=$(usex cairo ON OFF)
+ -DPLD_svgcairo=$(usex cairo ON OFF)
+ -DPLD_xcairo=$(usex cairo ON OFF)
+ # LaTeX
+ -DPLD_ps=$(usex latex ON OFF)
+ # PDF
+ -DPLD_pdf=$(usex pdf ON OFF)
+ # Qt
+ -DPLD_aqt=$(usex qt5 ON OFF)
+ -DPLD_bmpqt=$(usex qt5 ON OFF)
+ -DPLD_epsqt=$(usex qt5 ON OFF)
+ -DPLD_extqt=$(usex qt5 ON OFF)
+ -DPLD_jpgqt=$(usex qt5 ON OFF)
+ -DPLD_memqt=$(usex qt5 ON OFF)
+ -DPLD_pdfqt=$(usex qt5 ON OFF)
+ -DPLD_pngqt=$(usex qt5 ON OFF)
+ -DPLD_ppmqt=$(usex qt5 ON OFF)
+ -DPLD_qtwidget=$(usex qt5 ON OFF)
+ -DPLD_svgqt=$(usex qt5 ON OFF)
+ -DPLD_tiffqt=$(usex qt5 ON OFF)
+ # SVG
+ -DPLD_svg=$(usex svg ON OFF)
+ # Tk
+ -DPLD_ntk=$(usex tk ON OFF)
+ -DPLD_tk=$(usex tk ON OFF)
+ -DPLD_tkwin=$(usex tk ON OFF)
+ # Truetype
+ -DPLD_psttf=$(usex truetype ON OFF)
+ # Wx
+ -DPLD_wxwidgets=$(usex wxwidgets ON OFF)
+ # X
+ -DPLD_xfig=$(usex X ON OFF)
+ -DPLD_xwin=$(usex X ON OFF)
+ )
+
+ use truetype && mycmakeargs+=(
+ -DPL_FREETYPE_FONT_PATH="${EPREFIX}"/usr/share/fonts/freefont
+ )
+ use shapefile && mycmakeargs+=(
+ -DSHAPELIB_INCLUDE_DIR="${EPREFIX}"/usr/include/libshp
+ )
+ use ocaml && mycmakeargs+=(
+ -DOCAML_INSTALL_DIR="$(ocamlc -where)"
+ )
+ use python && mycmakeargs+=(
+ -DENABLE_pyqt5=$(usex qt5)
+ )
+
+ cmake-utils_src_configure
+
+ # clean up bloated pkg-config files (help linking properly on prefix)
+ sed -i \
+ -e "/Cflags/s:-I\(${EPREFIX}\|\)/usr/include[[:space:]]::g" \
+ -e "/Libs/s:-L\(${EPREFIX}\|\)/usr/lib\(64\|\)[[:space:]]::g" \
+ -e "s:${LDFLAGS}::g" \
+ "${BUILD_DIR}"/pkgcfg/*pc || die
+}
+
+src_test() {
+ virtx cmake-utils_src_test
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ else
+ rm -r "${ED%/}"/usr/share/doc/${PF}/examples || die
+ fi
+
+ if use java; then
+ java-pkg_dojar "${BUILD_DIR}"/examples/java/${PN}.jar
+ java-pkg_regso "${EPREFIX}"/usr/$(get_libdir)/jni/plplotjavac_wrap.so
+ fi
+}